Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
nested_struct3.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | A
struct | B

## Typedefs
typedef struct A | A
typedef struct B | B

## Functions
B | B_fn (struct A b0, struct B b1)
int | main (void)

## Typedef Documentation

## ◆ A

typedef struct A A

## ◆ B

typedef struct B B

## Function Documentation

## ◆ B_fn()

B B_fn | ( | struct A | b0,
|  | struct B | b1
| ) |  |

Definition at line 22 of file nested_struct3.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 50 of file nested_struct3.c.

References A::a, A::b, B_fn(), CHECK, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), ffi_type_uchar, NULL, B::x, and B::y.